Bug 12353 - IBM 10/100 EtherJet PCMCIA (XIRCOM tulip_cb) card does not communicate on a 10Mb Lan
IBM 10/100 EtherJet PCMCIA (XIRCOM tulip_cb) card does not communicate on a 1...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-16 21:29 EDT by jwt
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 13:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/pcmcia/config (34.21 KB, text/plain)
2000-06-16 21:32 EDT, jwt
no flags Details
LSMOD (501 bytes, text/plain)
2000-06-17 18:31 EDT, jwt
no flags Details
IFCONFIG (403 bytes, text/plain)
2000-06-17 18:32 EDT, jwt
no flags Details
ROUTE -N (254 bytes, text/plain)
2000-06-17 19:02 EDT, jwt
no flags Details
dump_cis -v (2.37 KB, text/plain)
2000-06-18 22:57 EDT, jwt
no flags Details

  None (edit)
Description jwt 2000-06-16 21:29:22 EDT
PCMCIA recognizes the card. It lights up yellow on the dongle with traffic 
and a green 'working' led. It does not communicate. ifconfig and netstat 
look good.
Comment 1 jwt 2000-06-16 21:32:43 EDT
Created attachment 518 [details]
/etc/pcmcia/config
Comment 2 Bill Nottingham 2000-06-17 12:43:06 EDT
What do:

lsmod
ifconfig
route -n

say?
Comment 3 jwt 2000-06-17 18:31:46 EDT
Created attachment 538 [details]
LSMOD
Comment 4 jwt 2000-06-17 18:32:28 EDT
Created attachment 539 [details]
IFCONFIG
Comment 5 jwt 2000-06-17 19:02:11 EDT
Created attachment 540 [details]
ROUTE -N
Comment 6 Bill Nottingham 2000-06-18 15:36:15 EDT
If you 'ping -n <some other address>', do the package counters as shown
by ifconfig increase?
Comment 7 jwt 2000-06-18 22:57:18 EDT
Created attachment 558 [details]
dump_cis -v
Comment 8 jwt 2000-06-19 06:42:51 EDT
The TX packet counter increases, RX does not.
Comment 9 jwt 2000-06-19 15:04:42 EDT
Here is some stuff from DMESG

ROM image dump:
  image 0: 0x000000-0xffffffff, signature PCIR
cs: cb_config(bus 4)
  fn 0 bar 1: io 0x400-0x47f
  fn 0 bar 2: mem 0x6000d000-0x6000d7ff
  fn 0 bar 3: mem 0x6000c000-0x6000c7ff
  fn 0 rom: mem 0x60008000-0x6000bfff
cs: cb_enable(bus 4)
  bridge io map 0 (flags 0x21): 0x400-0x47f
  bridge mem map 0 (flags 0x1): 0x60008000-0x6000dfff
tulip_attach(bus 4, function 0)
tulip.c:v0.91 4/14/99 becker@cesdis.gsfc.nasa.gov (modified by danilo@cs.uni-mag
deburg.de for XIRCOM CBE, fixed by Doug Ledford)
eth0: Xircom Cardbus Adapter (DEC 21143 compatible mode) rev 3 at 0x400, 00:04:A
C:90:76:02, IRQ 3.
eth0:  MII transceiver #0 config 3100 status 7809 advertising 01e1.
Comment 10 jwt 2000-06-21 23:13:55 EDT
Is there any status on this?
Comment 11 jwt 2000-06-23 12:22:40 EDT
I have noticed that the lights on the Ethernet HUB do not flash as i am trying 
to ping another machine.

Also, probably about 5% of the pings do receive reponses.

Do you have any suggestions for getting this working?

Thx & rgds, john
Comment 12 Bill Nottingham 2000-06-23 12:25:11 EDT
Does it work any better or worse with the errata kernel?
Comment 13 jwt 2000-06-23 12:44:58 EDT
how do i try the errata kernel?
Comment 14 jwt 2000-06-23 12:55:02 EDT
By the way, i temporarily borrowed a 3Com card from someone and the card worked 
with no modifications to any of the setup. The correct module loaded and ran 
fine.
Comment 15 David Hinds 2000-11-21 21:30:55 EST
There are known bugs with Xircom CardBus card support.  They are documented in
the BUGS file for PCMCIA; you can get that from pcmcia-cs.sourceforge.net.  A
workaround for the rx problem is described in this file.

As a long term solution for Red Hat, I'd suggest that the RPM's for PCMCIA
should include some of the basic PCMCIA documents; particularly, the BUGS and
SUPPORTED.CARDS files would be useful to put in /usr/doc/pcmcia-cs-X.X.X.

-- Dave
Comment 16 Perry Harrington 2000-12-10 01:49:44 EST
Could this possibly be a auto-sensing issue? I've seen FDX/HDX problems like
this before.  One of the ports is forced into an incompatible duplex, causing
all sorts of errors.  Also, does it work on 100Mbit networks, but not 10Mb? 
Perhaps it's not negotiating the proper speed?
Comment 17 Glen Foster 2001-08-01 13:42:40 EDT
Closing at customer's request.

Note You need to log in before you can comment on or make changes to this bug.